zenilib: zenilib/jni/external/glew/auto/src/glewinfo_tail.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
glewinfo_tail.c File Reference

Go to the source code of this file.

## Functions

GLboolean | glewCreateContext (const char *display, int *visual)
void | glewDestroyContext ()
GLboolean | glewParseArgs (int argc, char **argv, char **display, int *visual)
int | main (int argc, char **argv)

## Variables

Colormap | cmap = 0
GLXContext | ctx = NULL
Display * | dpy = NULL
XVisualInfo * | vi = NULL
XVisualInfo * | vis = NULL
Window | wnd = 0

## Function Documentation

GLboolean glewCreateContext | ( | const char * | display,
|  | int * | visual
| ) |  |

Definition at line 227 of file glewinfo_tail.c.

References cmap, GL_FALSE, GL_TRUE, GLX_DOUBLEBUFFER, GLX_RGBA, glXChooseVisual, glXCreateContext, glXMakeCurrent, glXQueryExtension, i, int, NULL, and XOpenDisplay.

void glewDestroyContext | ( |  | ) |

Definition at line 271 of file glewinfo_tail.c.

References glXDestroyContext, NULL, XCloseDisplay, and XDestroyWindow.

GLboolean glewParseArgs | ( | int | argc,
|  | char ** | argv,
|  | char ** | display,
|  | int * | visual
| ) |  |

Definition at line 93 of file glewinfo_tail.c.

References GL_FALSE, GL_TRUE, int, and NULL.

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 8 of file glewinfo_tail.c.

References display, GL_RENDERER, GL_TRUE, GL_VENDOR, GL_VERSION, GLEW_OK, GLEW_VERSION, glewContextInit(), glewCreateContext(), glewDestroyContext(), glewExperimental, glewGetErrorString(), glewGetString(), glewInfo(), glewInit(), glewParseArgs(), glGetString, glxewContextInit(), glxewInfo(), NULL, visual, and wglewContextInit().

## Variable Documentation

Colormap cmap = 0

Definition at line 225 of file glewinfo_tail.c.

Referenced by bdf_cmap_char_index(), bdf_cmap_char_next(), bdf_cmap_done(), bdf_cmap_init(), cff_face_init(), destroy_charmaps(), FT_CMap_New(), FT_Get_Char_Index(), FT_Get_Next_Char(), FTC_CMapCache_Lookup(), glewCreateContext(), pcf_cmap_char_index(), pcf_cmap_char_next(), pcf_cmap_done(), pcf_cmap_init(), and sfnt_load_face().

GLXContext ctx = NULL

Definition at line 223 of file glewinfo_tail.c.

Display* dpy = NULL

Definition at line 220 of file glewinfo_tail.c.

XVisualInfo* vi = NULL

Definition at line 221 of file glewinfo_tail.c.

Referenced by _bisect_forward_serialno(), _ov_64_seek_lap(), _ov_d_seek_lap(), _vds_shared_init(), _ve_envelope_mark(), _ve_envelope_search(), _vp_ampmax_decay(), _vp_psy_init(), _vp_tonemask(), floor0_map_lazy_init(), main(), mapping0_forward(), mapping0_inverse(), noise_normalize(), seed_loop(), vorbis_analysis_blockout(), vorbis_analysis_buffer(), vorbis_analysis_headerout(), vorbis_analysis_wrote(), vorbis_bitrate_addblock(), vorbis_dsp_clear(), vorbis_synthesis(), vorbis_synthesis_blockin(), vorbis_synthesis_lapout(), vorbis_synthesis_pcmout(), vorbis_synthesis_restart(), vorbis_synthesis_trackonly(), and vorbis_window().

XVisualInfo* vis = NULL

Definition at line 222 of file glewinfo_tail.c.

Window wnd = 0

Definition at line 224 of file glewinfo_tail.c.